#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin>>s;
    long long n, m[s.size()], a=1, l, r;
    cin>>n;
    m[0]=1;
	for(long long i=1;i<s.size();i++)
    {
        if(int(s[i])<int(s[i-1])){a++;m[i]=a;}
        else m[i]=a;
    }
    for(long long i=0;i<n;i++)
    {
        cin>>l>>r;
        cout<<m[r-1]-m[l-1]+1<<endl;
    }
}
